Bug 550234

Summary: Review Request: tnt - C++ templates for scientific computing
Product: [Fedora] Fedora Reporter: Matt Chan <talcite>
Component: Package ReviewAssignee: Peter Lemenkov <lemenkov>
Status: CLOSED DEFERRED QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, i, lemenkov, notting, susi.lehtola
Target Milestone: ---Flags: lemenkov: fedora‑review+
dennis: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-10-28 03:55:37 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 201449, 518949    

Description Matt Chan 2009-12-23 23:56:26 EST
This package is being submitted as a part of the review request for brlcad. This is one of the libraries being abstracted out of the brlcad package. Note that this package consists of solely header files. There is nothing to compile.

Spec URL: http://mattchan.homelinux.net:55555/tnt/tnt-devel.spec
SRRPM URL: http://mattchan.homelinux.net:55555/tnt/tnt-devel-3.0.11-0.1.beta.fc12.src.rpm
Comment 1 Peter Lemenkov 2009-12-24 07:29:20 EST
Matt, I don't sse you in the list of those persons, who requested membership in 'Fedora Packager CVS Commit Group'. Please, go to FAS and apply for membership here.
Comment 2 Matt Chan 2009-12-24 13:20:11 EST
Thanks for the heads up Peter. I've applied for the packager group now.

Matt
Comment 3 Peter Lemenkov 2009-12-24 14:30:54 EST
Unblocking FE-NEEDSPONSOR since I just sponsored Matt.
Comment 4 Peter Lemenkov 2009-12-24 14:34:00 EST
I'll review it
Comment 5 Susi Lehtola 2009-12-25 04:26:09 EST
- The name of this package should be 'tnt', not 'tnt-devel'.

- Srap the BuildRequires and Requires lines, they are empty.

- Instead of
 cp -a %{_builddir}/tnt/*.h %{buildroot}%{_includedir}/
you can just use
 cp -a *.h %{buildroot}%{_includedir}/
because you are in the builddir already.
Comment 6 Matt Chan 2009-12-25 23:05:08 EST
I've implemented the last 2 changes but I've held back releasing the spec because the 1st is giving me trouble.

The project consists only of header files. Should it still be named 'tnt' and not 'tnt-devel'? When I name the package 'tnt', rpmlint complains about having headers in a non-devel package.

Matt
Comment 7 Susi Lehtola 2009-12-26 02:13:49 EST
What you need to do is create a -devel subpackage. For example, see the GSL spec file at
http://cvs.fedoraproject.org/viewvc/rpms/gsl/devel/gsl.spec
on how to do this.

The trick is, that you do not proclaim a %files section for the main package. That way the main rpm won't be created. However, if in the future the project implements a runtime library, then we will have the opportunity to expand the package in Fedora.
Comment 8 Matt Chan 2009-12-26 03:42:56 EST
Ah. I did not know you could create a devel subpackage by itself.

Here are the new URLs with the changes implemented:

SPEC: http://mattchan.homelinux.net:55555/tnt/tnt.spec
SRPM: http://mattchan.homelinux.net:55555/tnt/tnt-3.0.11-0.2.beta.fc12.src.rpm

Thanks for the feedback.

Matt
Comment 9 Peter Lemenkov 2009-12-26 05:39:48 EST
REVIEW:

+ rpmlint is not silent, but this the only warning may be safely ignored:


[petro@Sulaco SPECS]$ rpmlint ../RPMS/noarch/tnt-devel-3.0.11-0.2.beta.fc12.noarch.rpm 
tnt-devel.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
[petro@Sulaco SPECS]$ 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license.
0 Upstream doesn't provide the file file, containing the text of the license(s) for the package.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

[petro@Sulaco SOURCES]$ sha256sum tnt_3_0_11.zip*
f0779ef0090df4e5143d4cfcdc2b8c9a9f1abb6befcc97c0969b6e7f134b5dd1  tnt_3_0_11.zip
f0779ef0090df4e5143d4cfcdc2b8c9a9f1abb6befcc97c0969b6e7f134b5dd1  tnt_3_0_11.zip.1
[petro@Sulaco SOURCES]$

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
0 The package doesn't contain %doc files at all.
+ C header files packaged in devel sub-package.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.


APPROVED.
Comment 10 Peter Lemenkov 2009-12-26 05:50:59 EST
sed s/"0 No devel sub-package."//
Comment 11 Peter Lemenkov 2010-01-26 06:33:43 EST
Ping, Matt!
Comment 12 Matt Chan 2010-01-26 12:40:37 EST
Sorry for the lack of updates. I've been waiting on an upstream takeover of the STEP/UTAH components by the BRL-CAD project. I'll push them a bit and see if we can get things moving along.

Are there any other actions to take on these two packages, or are they ready to be included into Fedora?

Matt
Comment 13 Peter Lemenkov 2010-04-20 05:34:48 EDT
(In reply to comment #12)
> Sorry for the lack of updates. I've been waiting on an upstream takeover of the
> STEP/UTAH components by the BRL-CAD project. I'll push them a bit and see if we
> can get things moving along.
> 
> Are there any other actions to take on these two packages, or are they ready to
> be included into Fedora?
> 
> Matt    

Sorry for the delay - I completely overlooked your comment. What packages are you talking about?

Anyway, this partucular package is (from the packaging view) is in a very good shape, so there is no need to wait for other packages before submitting this one.
Comment 14 Matt Chan 2010-04-20 17:58:13 EDT
Ok. Are there any steps we need to take in order to submit them, or is it an automatic process as soon as the review flags are cleared?

Matt
Comment 15 Matt Chan 2010-04-20 18:06:42 EDT
Sorry, I neglected to mention that the packages I was referring to in comment 12 are: 

- NIST STEP Class Library
- UTAH raster toolkit

These two projects are bundled with BRLCAD but have had source changes and the upstream is dead. The maintainers of the BRLCAD project are in the process of taking over maintainership for them.

I didn't mention it in comment 12, but TkHtml3 and OpenNURBS also need to be separated out from BRLCAD. There's been a bit of progress which I'll post back to the main BRLCAD bug.

Matt
Comment 16 Peter Lemenkov 2010-05-12 05:47:33 EDT
(In reply to comment #14)
> Ok. Are there any steps we need to take in order to submit them, or is it an
> automatic process as soon as the review flags are cleared?

You must fill separate review request for each package, if I understood you correctly (English is not my native language, as you may already noticed).

Anyway, there is no need to wait for them - you should move further with this particular package. if you just don't know what to do next here, then you can refer to this link:

https://fedoraproject.org/wiki/PackageMaintainers/Join#Add_Package_to_CVS_and_Set_Owner
Comment 17 Matt Chan 2010-05-17 23:50:21 EDT
New Package CVS Request
=======================
Package Name: tnt
Short Description: C++ templates for scientific computing
Owners: talcite
Branches: F-12 F-13 EL-5
InitialCC:
Comment 18 Dennis Gilmore 2010-05-18 14:39:11 EDT
CVS Done,


Does this need a EL-6 branch?
Comment 19 Matt Chan 2010-05-18 15:36:07 EDT
Yes, please include an EL-6 branch

Package Change Request
======================
Package Name: tnt
New Branches: EL-6
Owners: talcite
Comment 20 Dennis Gilmore 2010-05-18 16:50:44 EDT
CVS Done
Comment 21 Peter Lemenkov 2010-06-01 14:23:13 EDT
Ping, Matt.
Comment 22 Peter Lemenkov 2010-10-18 01:55:25 EDT
Ping, again.
Comment 23 Peter Lemenkov 2010-10-25 07:11:17 EDT
Last ping. I'll close this ticket next week if there will be no answer.
Comment 24 Matt Chan 2010-10-28 00:57:28 EDT
Hi Peter,

Sorry I haven't been very responsive on this in awhile.

School has been taking up a lot of time lately and I haven't been able to balance everything in life. I also don't know how the progress is going in the BRL-CAD project on re-factoring the code to be consistent with fedora guidelines. To my knowledge, the upstream for STEP and UTAH still have not been taken over.

It may be best to close this ticket for awhile. I will be graduating in April and may have more time in the future to come back to this. There may also be new developments in the project by that time.

Matt
Comment 25 Christopher Meng 2013-11-28 06:29:22 EST
(In reply to Matt Chan from comment #24)
> Hi Peter,
> 
> Sorry I haven't been very responsive on this in awhile.
> 
> School has been taking up a lot of time lately and I haven't been able to
> balance everything in life. I also don't know how the progress is going in
> the BRL-CAD project on re-factoring the code to be consistent with fedora
> guidelines. To my knowledge, the upstream for STEP and UTAH still have not
> been taken over.
> 
> It may be best to close this ticket for awhile. I will be graduating in
> April and may have more time in the future to come back to this. There may
> also be new developments in the project by that time.
> 
> Matt

ping after 3 months about tntv3.